Package name
Zope
Date
2000-07-28
Advisory ID
MDKSA-2000:026
Affected versions
7.1 i586

Problem description

Previous versions of Zope have a serious security flaw in one of the base classes in the DocumentTemplate package that is inadequately protected. This flaw allows the contents of DHTML Documents or DHTML Methods to be changed remotely or through DHTML code without forcing proper user authorization.

Updated packages

7.1 i586

 ad28fb2fb4f0105639a641a7acc98821  7.1/RPMS/Zope-2.1.6-1mdk.i586.rpm
e2b8fd281a2e93cbf5221bcfd3aff65b  7.1/RPMS/Zope-components-2.1.6-1mdk.i586.rpm
ea50788d6f88abc99bfabb190f2ab3ce  7.1/RPMS/Zope-core-2.1.6-1mdk.i586.rpm
95b993149c1c97fe7c9e9d53e4923f31  7.1/RPMS/Zope-pcgi-2.1.6-1mdk.i586.rpm
e74684a03fc61784bfdaec2887e82064  7.1/RPMS/Zope-services-2.1.6-1mdk.i586.rpm
1cae17ae5ffe776a073255ce4cec9661  7.1/RPMS/Zope-zpublisher-2.1.6-1mdk.i586.rpm
7fa38fbf43c8b08a26c4694a0a93857a  7.1/RPMS/Zope-zserver-2.1.6-1mdk.i586.rpm
983471606b95bd60c9d8a5e00e53d90b  7.1/RPMS/Zope-ztemplates-2.1.6-1mdk.i586.rpm
33b2e53429e3b6f588b9fdfb1ab5dc95  7.1/SRPMS/Zope-2.1.6-1mdk.src.rpm